        STRINGS = GLOBAL.STRINGS
        RECIPETABS = GLOBAL.RECIPETABS
        Recipe = GLOBAL.Recipe
        Ingredient = GLOBAL.Ingredient
        TECH = GLOBAL.TECH






if GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC) then
    PrefabFiles = {
        "DLC0002/goldenrang",
		"DLC0002/magicrang",
		"DLC0002/ancientchakram",
		"DLC0002/firerang",
		
    }
elseif GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then
    PrefabFiles = {
        "DLC0001/goldenrang",
		"DLC0001/magicrang",
		"DLC0001/ancientchakram",

    }
else
    PrefabFiles = {
        "vanilla/goldenrang",
		"vanilla/magicrang",
		"vanilla/ancientchakram",

    }
end







-- String Names stuff -- 

STRINGS.NAMES.GOLDENRANG = "Golden Boomerang"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.GOLDENRANG = "Fancy aerodynamic warfare."
STRINGS.RECIPE_DESC.GOLDENRANG = "Ceremonial blunt force projectile."

STRINGS.NAMES.MAGICRANG = "Shadow Boomerang"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MAGICRANG = "That's one haunted aerofoil."
STRINGS.RECIPE_DESC.MAGICRANG = "Put your mind on the line."

STRINGS.NAMES.ANCIENTCHAKRAM = "Thulecite Chakram"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ANCIENTCHAKRAM = "Looks like an ancient discus."
STRINGS.RECIPE_DESC.ANCIENTCHAKRAM = "Throw some history at your foes."





--AddRecipe stuff -- 




if GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC) then
goldenrang = Recipe("goldenrang", 
 {Ingredient("boards", 2), Ingredient("rope", 3), Ingredient("goldnugget", 3)}, 
RECIPETABS.WAR, TECH.SCIENCE_TWO, nil, nil, nil)
goldenrang.atlas = "images/inventoryimages/magicrang.xml"
  
magicrang  = Recipe ("magicrang", 
{Ingredient("livinglog", 1), Ingredient("silk", 4), Ingredient("nightmarefuel", 2)}, 
RECIPETABS.MAGIC, TECH.MAGIC_THREE, nil, nil, nil)
magicrang.atlas =  "images/inventoryimages/magicrang.xml"

ancientchakram  = Recipe("ancientchakram", 
{Ingredient("livinglog", 2), Ingredient("thulecite", 3), Ingredient("nightmarefuel", 3)}, 
RECIPETABS.ANCIENT, TECH.ANCIENT_FOUR, nil, nil, true)
ancientchakram.atlas = 	 "images/inventoryimages/ancientchakram.xml"

firerang  = Recipe("firerang", 
{Ingredient("livinglog", 2), Ingredient("obsidian", 3), Ingredient("nightmarefuel", 3)}, 
RECIPETABS.OBSIDIAN, TECH.OBSIDIAN_TWO, nil, nil, true)
firerang.atlas =  "images/inventoryimages/firerang.xml"

STRINGS.NAMES.FIRERANG = "Obsidian Boomerang"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.FIRERANG = "It burns the air with grace."
STRINGS.RECIPE_DESC.FIRERANG = "Spicy boomerang."
else

goldenrang = Recipe("goldenrang", 
 {Ingredient("boards", 2), Ingredient("rope", 3), Ingredient("goldnugget", 3)}, 
RECIPETABS.WAR, TECH.SCIENCE_TWO, nil, nil, nil)
goldenrang.atlas = "images/inventoryimages/magicrang.xml"
  
magicrang  = Recipe ("magicrang", 
{Ingredient("livinglog", 1), Ingredient("silk", 4), Ingredient("nightmarefuel", 2)}, 
RECIPETABS.MAGIC, TECH.MAGIC_THREE, nil, nil, nil)
magicrang.atlas =  "images/inventoryimages/magicrang.xml"

ancientchakram  = Recipe("ancientchakram", 
{Ingredient("livinglog", 2), Ingredient("thulecite", 3), Ingredient("nightmarefuel", 3)}, 
RECIPETABS.ANCIENT, TECH.ANCIENT_FOUR, nil, nil, true)
ancientchakram.atlas = 	 "images/inventoryimages/ancientchakram.xml"
end


	
function BoomerangUses(inst)	
if  inst.components.finiteuses then
    inst.components.finiteuses:SetMaxUses(26)
    inst.components.finiteuses:SetUses(26)
end
	end

	AddPrefabPostInit("boomerang", BoomerangUses)
	
	

